package org.xbib.interlibrary.catalog.oracle.aleph;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.xbib.interlibrary.api.action.worker.Tool;
import org.xbib.settings.Settings;

/**
 * The AlephPublishingConsumerTool invokes the AlephPublishingConsumer.
 */
public class AlephPublishingConsumer implements Tool {

    private static final Logger logger = Logger.getLogger(AlephPublishingConsumer.class.getName());

    private int returncode = 0;

    public AlephPublishingConsumer() {
    }

    @Override
    public void run(Settings settings) {
        try (AlephPublishingConsumerPool alephPublishingConsumerPool = new AlephPublishingConsumerPool(settings)) {
            alephPublishingConsumerPool.up();
            alephPublishingConsumerPool.down();
        } catch (Exception e) {
            logger.log(Level.SEVERE, e.getMessage(), e);
            returncode = 1;
        }
    }

    @Override
    public int getReturnCode() {
        return returncode;
    }

    @Override
    public void close() throws IOException {
        // nothing to do, pool is closed within run()
    }
}
