package org.xbib.interlibrary.catalog.oracle.aleph;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.xbib.interlibrary.api.action.worker.Tool;
import org.xbib.settings.Settings;

/**
 * The AlephSysDumperTool invokes the AlephSysDumper.
 */
public class AlephSysDumper implements Tool {

    private static final Logger logger = Logger.getLogger(AlephSysDumper.class.getName());

    private int returncode = 0;

    public AlephSysDumper() {
    }

    @Override
    public void run(Settings settings) {
        try (AlephSysDumperWorkerPool alephSysDumperWorkerPool = new AlephSysDumperWorkerPool(settings)) {
            alephSysDumperWorkerPool.up();
            alephSysDumperWorkerPool.down();
        } catch (Exception e) {
            logger.log(Level.SEVERE, e.getMessage(), e);
            returncode = 1;
        }
    }

    @Override
    public int getReturnCode() {
        return returncode;
    }

    @Override
    public void close() throws IOException {
    }
}
